//+------------------------------------------------------------------+
//|                                             HMA - Light v1.0.mq4 |
//|                                         Copyright  2006, Ogeima |
//|                                             ph_bresson@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Ogeima"
#property link      "ph_bresson@yahoo.com"

#property indicator_chart_window
#property indicator_buffers 1
//---- input parameters
extern int  period   =  50;
//---- buffers
double ExtMapBuffer1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(1);
   IndicatorDigits(Digits);

   SetIndexStyle(0,DRAW_LINE, STYLE_SOLID, 3);
   SetIndexBuffer(0,ExtMapBuffer1);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int counted_bars=IndicatorCounted();
   if ( counted_bars < 0 )  return(-1);
   if ( counted_bars > 0 )  counted_bars--;
   int e      = Bars - counted_bars;

   int x      = 0; 
   int power  = MathPow(period, 0.5);              
    
   double vect[], trend[]; 
   ArrayResize(vect, e); 
   ArraySetAsSeries(vect, true);
    
   for(x = 0; x < e; x++) 

      vect[x] = 2*iMA(NULL,0, period/2, 0, 3, 0, x)-iMA(NULL, 0, period, 0, 3, 0, x);

   for(x = 0; x < e-period; x++)
 
      ExtMapBuffer1[x] = iMAOnArray(vect, 0, power, 0, 3, x);        

   return(0);
  }
//+------------------------------------------------------------------+